<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html lang="en">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>LCOV - report.info - QtCore/qmap.h - functions</title>
  <link rel="stylesheet" type="text/css" href="../gcov.css">
</head>

<body>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="title">LCOV - code coverage report</td></tr>
    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>

    <tr>
      <td width="100%">
        <table cellpadding=1 border=0 width="100%">
          <tr>
            <td width="10%" class="headerItem">Current view:</td>
            <td width="35%" class="headerValue"><a href="../index.html">top level</a> - <a href="index.html">QtCore</a> - qmap.h<span style="font-size: 80%;"> (<a href="qmap.h.gcov.html">source</a> / functions)</span></td>
            <td width="5%"></td>
            <td width="15%"></td>
            <td width="10%" class="headerCovTableHead">Hit</td>
            <td width="10%" class="headerCovTableHead">Total</td>
            <td width="15%" class="headerCovTableHead">Coverage</td>
          </tr>
          <tr>
            <td class="headerItem">Test:</td>
            <td class="headerValue">report.info</td>
            <td></td>
            <td class="headerItem">Lines:</td>
            <td class="headerCovTableEntry">38</td>
            <td class="headerCovTableEntry">120</td>
            <td class="headerCovTableEntryLo">31.7 %</td>
          </tr>
          <tr>
            <td class="headerItem">Date:</td>
            <td class="headerValue">2021-03-29 02:25:54</td>
            <td></td>
            <td class="headerItem">Functions:</td>
            <td class="headerCovTableEntry">12</td>
            <td class="headerCovTableEntry">55</td>
            <td class="headerCovTableEntryLo">21.8 %</td>
          </tr>
          <tr><td><img src="../glass.png" width=3 height=3 alt=""></td></tr>
        </table>
      </td>
    </tr>

    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>
  </table>

  <center>
  <table width="60%" cellpadding=1 cellspacing=1 border=0>
    <tr><td><br></td></tr>
    <tr>
      <td width="80%" class="tableHead">Function Name <span class="tableHeadSort"><a href="qmap.h.func.html"><img src="../updown.png" width=10 height=14 alt="Sort by function name" title="Sort by function name" border=0></a></span></td>
      <td width="20%" class="tableHead">Hit count <span class="tableHeadSort"><img src="../glass.png" width=10 height=14 alt="Sort by hit count" title="Sort by hit count" border=0></span></td>
    </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#64">_Z15qMapLessThanKeyI5QCharEbRKT_S3_</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#98">_ZN12QMapNodeBase25callDestructorIfNecessaryI5QCharEENSt9enable_ifIXsr9QTypeInfoIT_E9isComplexEvE4typeERS4_</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#101">_ZN12QMapNodeBase25callDestructorIfNecessaryIP4NodeEENSt9enable_ifIXntsr9QTypeInfoIT_E9isComplexEvE4typeERS5_</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#87">_ZN12QMapNodeBase8nextNodeEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#92">_ZN12QMapNodeBase8setColorENS_5ColorE</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#94">_ZN12QMapNodeBase9setParentEPS_</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#966">_ZN4QMapI5QChar7QStringE13detach_helperEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#355">_ZN4QMapI5QChar7QStringE6detachEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#705">_ZN4QMapI5QChar7QStringE6insertERKS0_RKS1_</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#414">_ZN4QMapI5QChar7QStringE8iteratorC2EP8QMapNodeIS0_S1_E</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#623">_ZN4QMapI5QChar7QStringEC2ERKS2_</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#332">_ZN4QMapI5QChar7QStringED2Ev</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#672">_ZN4QMapI5QChar7QStringEixERKS0_</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#557">_ZN4QMapI7QStringP4NodeE3endEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#553">_ZN4QMapI7QStringP4NodeE5beginEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#423">_ZN4QMapI7QStringP4NodeE8iteratorppEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#332">_ZN4QMapI7QStringP4NodeED2Ev</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#672">_ZN4QMapI7QStringP4NodeEixERKS0_</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#218">_ZN8QMapDataI5QChar7QStringE10createNodeERKS0_RKS1_P8QMapNodeIS0_S1_Eb</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#210">_ZN8QMapDataI5QChar7QStringE3endEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#237">_ZN8QMapDataI5QChar7QStringE6createEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#241">_ZN8QMapDataI5QChar7QStringE7destroyEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#212">_ZN8QMapDataI7QStringP4NodeE5beginEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#241">_ZN8QMapDataI7QStringP4NodeE7destroyEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#145">_ZN8QMapNodeI5QChar7QStringE10lowerBoundERKS0_</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#120">_ZN8QMapNodeI5QChar7QStringE14destroySubTreeEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#132">_ZN8QMapNodeI5QChar7QStringE16doDestroySubTreeESt17integral_constantIbLb1EE</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#145">_ZN8QMapNodeI7QStringP4NodeE10lowerBoundERKS0_</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#120">_ZN8QMapNodeI7QStringP4NodeE14destroySubTreeEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#132">_ZN8QMapNodeI7QStringP4NodeE16doDestroySubTreeESt17integral_constantIbLb1EE</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#115">_ZN8QMapNodeI7QStringP4NodeE8nextNodeEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#91">_ZNK12QMapNodeBase5colorEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#418">_ZNK4QMapI5QChar7QStringE8iteratordeEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#418">_ZNK4QMapI7QStringP4NodeE8iteratordeEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#421">_ZNK4QMapI7QStringP4NodeE8iteratorneERKS4_</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#205">_ZNK8QMapDataI5QChar7QStringE4rootEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#279">_ZNK8QMapDataI5QChar7QStringE8findNodeERKS0_</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#279">_ZNK8QMapDataI7QStringP4NodeE8findNodeERKS0_</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#251">_ZNK8QMapNodeI5QChar7QStringE4copyEP8QMapDataIS0_S1_E</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#110">_ZNK8QMapNodeI5QChar7QStringE8leftNodeEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#111">_ZNK8QMapNodeI5QChar7QStringE9rightNodeEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#251">_ZNK8QMapNodeI7QStringP4NodeE4copyEP8QMapDataIS0_S2_E</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#111">_ZNK8QMapNodeI7QStringP4NodeE9rightNodeEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#966">_ZN4QMapI7QStringP4NodeE13detach_helperEv</a></td>
              <td class="coverFnHi">1</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#237">_ZN8QMapDataI7QStringP4NodeE6createEv</a></td>
              <td class="coverFnHi">1</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#110">_ZNK8QMapNodeI7QStringP4NodeE8leftNodeEv</a></td>
              <td class="coverFnHi">1</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#64">_Z15qMapLessThanKeyI7QStringEbRKT_S3_</a></td>
              <td class="coverFnHi">2</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#323">_ZN4QMapI5QChar7QStringEC2Ev</a></td>
              <td class="coverFnHi">2</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#355">_ZN4QMapI7QStringP4NodeE6detachEv</a></td>
              <td class="coverFnHi">2</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#705">_ZN4QMapI7QStringP4NodeE6insertERKS0_RKS2_</a></td>
              <td class="coverFnHi">2</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#414">_ZN4QMapI7QStringP4NodeE8iteratorC2EP8QMapNodeIS0_S2_E</a></td>
              <td class="coverFnHi">2</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#218">_ZN8QMapDataI7QStringP4NodeE10createNodeERKS0_RKS2_P8QMapNodeIS0_S2_Eb</a></td>
              <td class="coverFnHi">2</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#210">_ZN8QMapDataI7QStringP4NodeE3endEv</a></td>
              <td class="coverFnHi">2</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#205">_ZNK8QMapDataI7QStringP4NodeE4rootEv</a></td>
              <td class="coverFnHi">2</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qmap.h.gcov.html#98">_ZN12QMapNodeBase25callDestructorIfNecessaryI7QStringEENSt9enable_ifIXsr9QTypeInfoIT_E9isComplexEvE4typeERS4_</a></td>
              <td class="coverFnHi">16</td>
            </tr>
  </table>
  <br>
  </center>
  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>
    <tr><td class="versionInfo">Generated by: <a href="http://ltp.sourceforge.net/coverage/lcov.php" target="_parent">LCOV version 1.14</a></td></tr>
  </table>
  <br>

</body>
</html>
